メインコンテンツへスキップ
GET
/
hub_document_pages
cURL
curl -i -X GET "https://api.box.com/2.0/hub_document_pages?hub_id=12345" \
     -H "box-version: 2025.0" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
{
  "entries": [
    {
      "id": "d97f7c26-0d9b-42a1-a00d-6e6db9619e0f",
      "type": "page",
      "title_fragment": "This is the home page title !!"
    },
    {
      "id": "df6be226-6a40-429e-afd3-0e9ea73f1990",
      "type": "page",
      "parent_id": "d97f7c26-0d9b-42a1-a00d-6e6db9619e0f",
      "title_fragment": "This is the second page title !!"
    }
  ],
  "type": "document_pages",
  "limit": 1000,
  "next_marker": null
}
Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ヘッダー

box-version
enum<string>
必須

Version header.

利用可能なオプション:
2025.0

クエリパラメータ

hub_id
string
必須

Hubを表す一意の識別子。

HubのIDを確認するには、ウェブアプリでこのHubにアクセスして、URLからIDをコピーします。たとえば、URLがhttps://*.app.box.com/hubs/123の場合、hub_id123です。

marker
string

結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。

limit
integer<int64>

返す項目の1ページあたりの最大数。

必須範囲: x <= 1000

レスポンス

entries配列にルートレベルのページとサブページが含まれている、Hubドキュメントページのレスポンスが返されます。さらに多くの結果がある場合は、ページネーションが含まれます。

Hubドキュメントページのリスト。

entries
Box Hubドキュメントページ · object[]
必須

ページの順序付きリスト。

type
enum<string>
必須

値は常にdocument_pagesになります。

利用可能なオプション:
document_pages
:

"document_pages"

limit
integer<int64>

これらのエントリで使用された制限値。許容される最大値を超えていない限り、クエリパラメータのlimitと等しくなります。最大値はAPIによって異なります。

:

1000

next_marker
string | null

次の検索結果ページの開始場所のマーカー。

:

"JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"